VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
VisimBox.Renderer.Viewport Struct Reference

Viewport (window) for showing scene. Renderer window can contain many different viewports for different cameras/view settings. More...

List of all members.

## Public Member Functions
| Viewport (IRenderContext rencont, int left, int top, int right, int bottom)
| Viewport (IRenderContext rencont, System.Drawing.Rectangle coords)
## Public Attributes
IRenderContext | Context
| Rendering context for the viewport.
System.Drawing.Rectangle | Coordinates
| ViewPort coordinates in the window.
ICamera | Camera
| Camera to use.
ViewQuality | ViewQual
| Set view quality for the viewport.
bool | Active
| Is viewport currently active? NOTE - make it readonly!!!

## Detailed Description

Viewport (window) for showing scene. Renderer window can contain many different viewports for different cameras/view settings.

## Constructor & Destructor Documentation

VisimBox.Renderer.Viewport.Viewport | ( | IRenderContext | rencont,
|  | int | left,
|  | int | top,
|  | int | right,
|  | int | bottom
| ) |  |

VisimBox.Renderer.Viewport.Viewport | ( | IRenderContext | rencont,
|  | System.Drawing.Rectangle | coords
| ) |  |

## Member Data Documentation

bool VisimBox.Renderer.Viewport.Active

Is viewport currently active? NOTE - make it readonly!!!

ICamera VisimBox.Renderer.Viewport.Camera

Camera to use.

IRenderContext VisimBox.Renderer.Viewport.Context

Rendering context for the viewport.

System.Drawing.Rectangle VisimBox.Renderer.Viewport.Coordinates

ViewPort coordinates in the window.

ViewQuality VisimBox.Renderer.Viewport.ViewQual

Set view quality for the viewport.

The documentation for this struct was generated from the following file:

- Viewport.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events